Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# taylorhood_ex.cpp File Reference

`#include <SyFi.h>`

Go to the source code of this file.

## Functions
int | main ()

## Function Documentation

int main | ( |  | ) |

| Definition at line 5 of file taylorhood_ex.cpp. References LagrangeFE::compute_basis_functions(), VectorLagrangeFE::compute_basis_functions(), compute_Stokes_element_matrix(), print(), LagrangeFE::set(), VectorLagrangeFE::set(), VectorLagrangeFE::set_size(), and usage().
    00005            {
    00006
    00007   ReferenceTriangle domain;
    00008
    00009   VectorLagrangeFE v_fe;
    00010   v_fe.set(2);
    00011   v_fe.set_size(2);
    00012   v_fe.set(domain);
    00013   v_fe.compute_basis_functions();
    00014
    00015   LagrangeFE p_fe;
    00016   p_fe.set(1);
    00017   p_fe.set(domain);
    00018   p_fe.compute_basis_functions();
    00019
    00020   usage(v_fe, p_fe);
    00021
    00022   Dof dof;
    00023   std::map<std::pair<int,int>, ex> A;
    00024   compute_Stokes_element_matrix(v_fe, p_fe, dof, A);
    00025   print(A);
    00026 }